## golang-github-xuanwo-go-locale 1.1.3

=== Makefile ===
SHELL := /bin/bash

.PHONY: all check format vet build test tidy

help:
	@echo "Please use \`make <target>\` where <target> is one of"
	@echo "  check               to format, vet "
	@echo "  build               to create bin directory and build"
	@echo "  generate            to generate code"
	@echo "  unit_test           to run unit test"
	@echo "  integration_test    to run integration test"

check: format vet

format:
	@echo "go fmt"
	@go fmt ./...
	@echo "ok"

vet:
	@echo "go vet"
	@go vet ./...
	@echo "ok"

build: tidy check
	@echo "build go-locale"
	@go build ./...
	@echo "ok"

test:
	@echo "run unit test"
	@go test -race -cover -coverprofile=coverage.txt -v ./...
	@go tool cover -html="coverage.txt" -o "coverage.html"
	@echo "ok"

tidy:
	@echo "Tidy and check the go mod files"
	@go mod tidy && go mod verify
	@echo "Done"

=== debian/changelog ===
golang-github-xuanwo-go-locale (1.1.3-2) unstable; urgency=medium

  * Source upload to unstable

 -- Nick Morrott <nickm@debian.org>  Fri, 14 Feb 2025 17:17:40 +0000

golang-github-xuanwo-go-locale (1.1.3-1) unstable; urgency=medium

  * Initial release (Closes: #1095857)

 -- Nick Morrott <nickm@debian.org>  Thu, 13 Feb 2025 00:57:15 +0000

=== debian/control ===
Source: golang-github-xuanwo-go-locale
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Nick Morrott <nickm@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev (>= 0.21.0),
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-xuanwo-go-locale
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-xuanwo-go-locale.git
Homepage: https://github.com/Xuanwo/go-locale
XS-Go-Import-Path: github.com/Xuanwo/go-locale

Package: golang-github-xuanwo-go-locale-dev
Architecture: all
Multi-Arch: foreign
Depends:
 golang-golang-x-sys-dev,
 golang-golang-x-text-dev (>= 0.21.0),
 ${misc:Depends},
Description: Cross platform locale detection for Golang (library)
 go-locale supports looking up a number of locale environment variables
 and files on POSIX-compatible systems.
 .
 It can lookup the following locale variables:
 .
  * LANGUAGE
  * LC_ALL
  * LC_MESSAGES
  * LANG
 .
 and can read the following locale files:
 .
  * $XDG_CONFIG_HOME/locale.conf
  * $HOME/.config/locale.conf
  * /etc/locale.conf

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/Xuanwo/go-locale/tags \
  .*/v?(\d[\d\.]*)\.tar\.gz
